PROGRAM_NAME='AVC Cork'

(***********************************************************)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 04/05/2006  AT: 09:00:25        *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)
(*
    $History: $
*)
(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE
			
				
				Tp          = 10001:1:1
				Tpb         = 10002:1:1
				
				RELAY        = 5001:8:0
				
				projector    = 5001:1:1
				switcher     = 5001:2:1
				lights       = 5001:3:1
				switcherb    = 5001:4:1
								
	
				dvd        = 5001:9:0      // ir 1
				VCR        = 5001:10:0    // ir 2
				amp        = 5001:11:0    // ir 3
				
				dvdb       = 5001:12:0    // ir 4
				vcrb       = 5001:13:0    // ir 5
				curt       = 5001:14:0    // ir 6
				ampb       = 5001:15:0    // ir 7
				plasma     = 5001:16:0   // IR 8
				
				
DEFINE_CONSTANT

				
				
		
// Room 1 Collins Room Relay Control

				screen_hoist_up     = 	1
				screen_hoist_down   =   2

				blinds_up     =         3
				blinds_Down   =         4

				curtain_open  =         5
				curtain_close = 	6
			    
				
				
// Room 2  Relay Control

				Rblinds_up     =    7
				Rblinds_Down   =    8

				
//TRANSPORT CHANNEL NUMBERS 

				PLASMASTAN         = 1 
                                PLASMASIZE         = 2
                                PLASMAVIDEO        = 3
                                PLASMAYC           = 4
                   		PLASMARGB          = 5
                                PLASMADSUB         = 6
                                PLASMAMUTE         = 7
                                PLASMAVOLUP        = 8
				PLASMAVOLDOW       = 9
				PLASMADISP         = 10
				PLASMAMEMU         = 11
				PLASMAUP           = 12
				PLASMADOWN         = 10
				PLASMALEFT          = 11
				PLASMARIGHT        = 12
				
                                curt_open          = 17
				curt_close         = 18
                                 
   
				VCRPOW             = 1
				VCRDISPLAY         = 2
                                VCRSP_LP           = 3
                                VCRINPUT           = 4
                                VCRCHAN0           = 5
				VCRCHAN1	   = 6
				VCRCHAN2           = 7
				VCRCHAN3           = 8
				VCRCHAN4           = 9
				VCRCHAN5           = 10
				VCRCHAN6           = 11
				VCRCHAN7           = 12
				VCRCHAN8           = 13
				VCRCHAN9           = 14
				VCRPROGUP          = 15
				VCRPROGDOWN        = 16
				VCRREC             = 17
				VCRMENU            = 18
				VCRTIMER           = 19
				VCRPLAY            = 20
				VCRSTOP            = 21
				VCRPAUSE           = 22
				VCRFOR             = 23
				VCRREW             = 24
				
				
				dvdplay            = 1
				dvdstop            = 2
				dvdpause           = 3
				dvdforward         = 4
				dvdback            = 5
				dvdchapforw        = 6
				dvdchapback        = 7
				dvdfastfow         = 8
				dvdfastrew         = 9
				dvdfastplay        = 10
				dvdsur		   = 11
				dvdslowplay        = 12
				dvdzoom            = 13
				dvdreturn          = 14
				dvddisplay         = 15
				dvdup              = 16
				dvddown            = 17
				dvdleft            = 18
				dvdright           = 19
				dvdenter           = 20
				dvdtopmenu         = 21
				dvdmenu            = 22
				dvdpictnav         = 23
				dvdtime            = 24
				dvdclear	   = 25
				dvdvolup           = 26
				dvdvoldown         = 27
				dvdchan0           = 28
				dvdchan1           = 29
				dvdchan2           = 30
				dvdchan3	   = 31
				dvdchan4           = 32
				dvdchan5           = 33
				dvdchan6           = 34
				dvdchan7           = 35
				dvdchan8           = 36
				dvdchan9           = 37
				dvdpower           = 38
				dvdeject           = 39
				dvdinput           = 40
				dvdsubs            = 41
				
				
				projector_on 		=   1
				projector_off  		=   2 
				projector_comp1		=   3
				projector_comp2 	=   4
				projector_video 	=   5
				projector_svideo 	=   6
				
				ampon                   =   103
				ampoff                  =   104
				ampmute                 =   100
				ampvolup                =   101
				ampvoldown              =   102

		

DEFINE_TYPE
DEFINE_VARIABLE

	    integer Source

	    integer projector_Power

	    integer projector_input
	    
	    integer lightsroom1
	    
	    integer lightsroom2

		
DEFINE_LATCHING
DEFINE_MUTUALLY_EXCLUSIVE


// Room 1 Collins Room Relay Control
		
		([RELAY,screen_hoist_up],[RELAY,screen_hoist_down])
		([RELAY,curtain_open]..[RELAY,curtain_close])
		([RELAY,blinds_up],[RELAY,blinds_Down])
		
// Room 2  Relay Control
		
		 
		([RELAY,Rblinds_up],[RELAY,Rblinds_Down])


		 

		    ([VCR,VCRPOW]..[VCR,VCRREW])
		    ([dvd,dvdplay]..[dvd,dvdsubs])
		    ([amp,ampon],[amp,ampvoldown])
		    
		    ([vcrb,VCRPOW]..[VCRb,VCRREW])
		    ([dvdb,dvdplay]..[dvdb,dvdsubs])
		    ([ampb,ampon],[ampb,ampvoldown])
		 
		 
DEFINE_START

				    pulse[relay,blinds_up]
				    pulse[relay,curtain_close]
				    pulse[relay,screen_hoist_up]
				    PULSE[VCR,vcrstop]	    
				    PULSE[dvd,dvdstop]
				    Send_String PROJECTOR,"'C01',$00D"
				    Send_String switcher, "$01,$81,$83,$81"


DEFINE_EVENT




BUTTON_EVENT[TP,74]		
{
	PUSH:
	{
		
		pulse[relay,screen_hoist_down]
		wait 160
		SEND_STRING PROJECTOR,"'C00',$0D"
		
	}
}


// Collins projector

BUTTON_EVENT[TP,74]		
{
	PUSH:
	{
		
		pulse[relay,screen_hoist_down]
		wait 160
		SEND_STRING PROJECTOR,"'C00',$0D"
		
	}
}

BUTTON_EVENT[TP,75]		
{
	PUSH:
	{
		
		Send_String PROJECTOR,"'C01',$00D"	
		pulse[relay,screen_hoist_up]
	}
}


BUTTON_EVENT[TP,76]		
{
	PUSH:
	{	
		pulse[relay,blinds_Down]
		pulse[relay,curtain_open]
		pulse[relay,screen_hoist_down]
		Send_String switcher, "$01,$81,$83,$81"
		Send_String PROJECTOR,"'C06',$00D"	// change to comp 2 when comp is selected
	        wait 160
		SEND_STRING PROJECTOR,"'C00',$0D"
		
	}
}


BUTTON_EVENT[TP,77]		
{
	PUSH:
	{	
			// change to video  when dvd is selected
			
			
		pulse[relay,blinds_Down]
		pulse[relay,curtain_open]
		pulse[relay,screen_hoist_down]
		Send_String switcher, "$01,$81,$81,$81"
		Send_String PROJECTOR,"'C07',$00D"
		wait 160
		SEND_STRING PROJECTOR,"'C00',$0D"
		PULSE[VCR,VCRPOW]
	}
}


BUTTON_EVENT[TP,88]		
{
	PUSH:
	{	
	
		pulse[relay,blinds_Down]
		pulse[relay,curtain_open]
		pulse[relay,screen_hoist_down]
		PULSE[VCR,VCRPOW]
		Send_String switcher, "$01,$82,$81,$81"
		Send_String PROJECTOR,"'C07',$00D"    // change to video  when dvd is selected
		wait 160
		SEND_STRING PROJECTOR,"'C00',$0D"
		PULSE[dvd,dvdpower]
	}
}


BUTTON_EVENT[TP,78]		
{
	PUSH:
	{
		Send_String PROJECTOR,"'C00',$00D"
		
	}
}

BUTTON_EVENT[TP,79]		
{
	PUSH:
	{
		Send_String PROJECTOR,"'C0F',$00D"
		
	}
}

BUTTON_EVENT[TP,80]		
{
	PUSH:
	{
		Send_String PROJECTOR,"'C10',$00D"
		
	}
}

BUTTON_EVENT[TP,81]		
{
	PUSH:
	{
		Send_String PROJECTOR,"'C89',$00D"
		
	}
}

BUTTON_EVENT[TP,82]		
{
	PUSH:
	{
		Send_String PROJECTOR,"'C8E',$00D"
		
	}
}


BUTTON_EVENT[TP,83]		
{
	PUSH:
	{
		Send_String PROJECTOR,"'C8F',$00D"
		
	}
}


BUTTON_EVENT[TP,84]		
{
	PUSH:
	{
		Send_String PROJECTOR,"'C90',$00D"
		
	}
}

BUTTON_EVENT[TP,85]		
{
	PUSH:
	{
		Send_String PROJECTOR,"'C91',$00D"
		
	}
}

BUTTON_EVENT[TP,86]		
{
	PUSH:
	{
		Send_String PROJECTOR,"'C30',$00D"
		
	}
}

BUTTON_EVENT[TP,87]		
{
	PUSH:
	{
		Send_String PROJECTOR,"'C31',$00D"
		
	}
}

////////////////////////////////////////////////////////////////////


// Room 1 Collins Room Relay Control


	    BUTTON_EVENT[TP,1]		// Screen down and Hoist
		
		{
			PUSH:
				{
				    pulse[relay,screen_hoist_down]
				    
				}
		}


DEFINE_EVENT


	    BUTTON_EVENT[TP,2]		// screen up and Hoist
		
		{
			PUSH:
				{
				    pulse[relay,screen_hoist_up]
				    
				}
		}

 
    
    DEFINE_EVENT


	    BUTTON_EVENT[TP,3]		// blinds up
		
		{
			PUSH:
				{
				    pulse[relay,blinds_up]
				}
		}
    
    
    
    
    DEFINE_EVENT


	    BUTTON_EVENT[TP,4]		// blinds down
		
		{
			PUSH:
				{
				    pulse[relay,blinds_Down]
				}
		}
    
    DEFINE_EVENT


	    BUTTON_EVENT[TP,5]		// curtain_open
		
		{
			PUSH:
				{
				    pulse[relay,curtain_close]
				}
		}
    
    
    
    
    DEFINE_EVENT


	    BUTTON_EVENT[TP,6]		// curtain_close
		
		{
			PUSH:
				{
				    pulse[relay,curtain_open]
				}
		}
		
		DEFINE_EVENT


	    BUTTON_EVENT[TP,6]		// curtain_close
		
		{
			PUSH:
				{
				    pulse[relay,curtain_open]
				}
		}
		
		    BUTTON_EVENT[TP,9]		// blinds up
		
		{
			PUSH:
				{
				    pulse[relay,blinds_up]
				    pulse[relay,curtain_close]
				    pulse[relay,screen_hoist_up]
				    PULSE[VCR,vcrstop]
				    PULSE[dvd,dvdstop]
				    PULSE[VCR,VCRPOW]
				    PULSE[dvd,dvdpower]
				    Send_String PROJECTOR,"'C01',$00D"
				    Send_String switcher, "$01,$81,$83,$81"
				}
		}


// Light controls

BUTTON_EVENT[TP,100]		
{
	PUSH:
	{	
		
		Send_String switcher, "$1,0" 
		
	}
}




// Switcher Control Collins town room


BUTTON_EVENT[TP,90]		
{
	PUSH:
	{	
		
		Send_String switcher, "$01,$81,$83,$81" // switch to switcher to vga1
		Send_String PROJECTOR,"'C06',$00D"
	}
}


BUTTON_EVENT[TP,91]		
{
	PUSH:
	{	
		
		Send_String switcher, "$01,$82,$83,$81" // switch to switcher to vga2
		Send_String PROJECTOR,"'C06',$00D"
	}
}


BUTTON_EVENT[TP,92]		
{
	PUSH:
	{	
		Send_String PROJECTOR,"'C06',$00D"
		Send_String switcher, "$01,$81,$83,$81" // switch to switcher to vga1
		
	}
}

BUTTON_EVENT[TP,93]		
{
	PUSH:
	{	
		Send_String PROJECTOR,"'C06',$00D"
		Send_String switcher, "$01,$82,$83,$81" // switch to switcher to vga2
		
	}
}

BUTTON_EVENT[TP,93]		
{
	PUSH:
	{	
		Send_String PROJECTOR,"'C06',$00D"
		Send_String switcher, "$01,$82,$81,$81"
		
	}
}


BUTTON_EVENT[TP,94]		
{
	PUSH:
	{	
		Send_String PROJECTOR,"'C07',$00D"   // select dvd form switcher
		Send_String switcher, "$01,$81,$81,$81"
		
	}
}


// Room 2  Relay Control
		
		
	    BUTTON_EVENT[TP,7]		// blinds up
		
		{
			PUSH:
				{
				    pulse[relay,Rblinds_up]
				}
		}
    
    
    
    
    DEFINE_EVENT


	    BUTTON_EVENT[TP,8]		// blinds down
		
		{
			PUSH:
				{
				    pulse[relay,Rblinds_Down]
   
			}
		}

// Room2 Switcher Control

BUTTON_EVENT[Tpb,270]		
{
	PUSH:
	{	
		PULSE[PLASMA,PLASMADSUB]
		Send_String switcherb, "$01,$81,$83,$81" // switch to switcher to vga1
		
	}
}


BUTTON_EVENT[Tpb,271]		
{
	PUSH:
	{	
		PULSE[PLASMA,PLASMADSUB]
		Send_String switcherb, "$01,$82,$83,$81" // switch to switcher to vga2
		
	}
}

BUTTON_EVENT[Tpb,276]		
{
	PUSH:
	{	
		PULSE[PLASMA,PLASMAVIDEO]   // select dvd form switcher
		Send_String switcherb, "$01,$81,$81,$81"
		
	}
}


BUTTON_EVENT[Tpb,277]		
{
	PUSH:
	{	
		PULSE[PLASMA,PLASMAVIDEO]   // select video form switcher
		Send_String switcherb, "$01,$82,$81,$81"
		
	}
}

BUTTON_EVENT[Tpb,278]		
{
	PUSH:
	{	
		pulse[curt,curt_close]
		PULSE[PLASMA,PLASMADSUB]
		Send_String switcherb, "$01,$81,$83,$81"	// change to Vga when comp is selected
	        
	}
}

BUTTON_EVENT[Tpb,279]		
{
	PUSH:
	{	
		pulse[curt,curt_close]
		PULSE[PLASMA,PLASMADSUB]
		Send_String switcherb, "$01,$81,$81,$81"	// change to dvd when comp is selected
	        
	}
}

BUTTON_EVENT[Tpb,280]		
{
	PUSH:
	{	
		pulse[curt,curt_close]
		PULSE[PLASMA,PLASMADSUB]
		Send_String switcherb, "$01,$82,$81,$81"	// change to video when comp is selected
	        
	}
}
	
	
	
   BUTTON_EVENT[Tpb,281]		// shut down
		
		{
			PUSH:
				{
				    pulse[curt,curt_open]
				    PULSE[PLASMA,PLASMASTAN]
				    PULSE[vcrb,vcrstop]
				    PULSE[dvdback,dvdstop]
				    PULSE[vcrb,VCRPOW]
				    PULSE[dvdback,dvdpower]
				    Send_String switcherb, "$01,$81,$83,$81"
				}
		}	
		
		
		BUTTON_EVENT[Tpb,282]		
{
	PUSH:
	{	
		
		PULSE[PLASMA,PLASMAUP]
		
	        
	}
}

		BUTTON_EVENT[Tpb,283]		
{
	PUSH:
	{	
		
		PULSE[PLASMA,PLASMADOWN]
		
	        
	}
}

		BUTTON_EVENT[Tpb,284]		
{
	PUSH:
	{	
		
		PULSE[PLASMA,PLASMALEFT]
		
	        
	}
}


		BUTTON_EVENT[Tpb,285]		
{
	PUSH:
	{	
		
		PULSE[PLASMA,PLASMARIGHT]
		
	        
	}
}

		BUTTON_EVENT[Tpb,286]		
{
	PUSH:
	{	
		
		PULSE[PLASMA,PLASMAMEMU]
		
	        
	}
}


		BUTTON_EVENT[Tpb,287]		
{
	PUSH:
	{	
		
		PULSE[PLASMA,PLASMADISP]
		
	        
	}
}

		BUTTON_EVENT[Tpb,288]		
{
	PUSH:
	{	
		
		PULSE[PLASMA,PLASMASIZE]
		
	        
	}
}

		BUTTON_EVENT[Tpb,289]		
{
	PUSH:
	{	
		
		PULSE[PLASMA,PLASMASTAN]
		
	        
	}
}

		BUTTON_EVENT[Tpb,290]		
{
	PUSH:
	{	
		
		PULSE[PLASMA,PLASMADSUB]
		
	        
	}
}

// Room 2 CONTROL

	    
	BUTTON_EVENT[Tpb,200]
	{
		PUSH:
	    {
			    PULSE[PLASMA,plasmastan]
	    }
	}
		
	
	BUTTON_EVENT[Tpb,201]
	{
		PUSH:
	    {
			    PULSE[PLASMA,plasmasize]
	    }
	}
	
	BUTTON_EVENT[Tpb,272]
	{
		PUSH:
	    {
			    PULSE[PLASMA,PLASMADSUB]
	    }
	}
	
		BUTTON_EVENT[Tpb,275]
	{
		PUSH:
	    {
			    PULSE[PLASMA,PLASMAVIDEO]
	    }
	}
	
	
	BUTTON_EVENT[Tpb,202]
	{
		PUSH:
	    {
			    PULSE[curt,curt_open]
	    }
	}
	
	BUTTON_EVENT[Tpb,203]
	{
		PUSH:
	    {
			    PULSE[curt,curt_close]
	    }
	}


// VCR Second Room

	BUTTON_EVENT[Tpb,204]
	{
		PUSH:
	    {
			    PULSE[vcrb,VCRPOW]
	    }
	}
	
	
	BUTTON_EVENT[tpb,205]
	{
		PUSH:
	    {
		PULSE[VCRb,VCRDISPLAY]
	}
	    }

	BUTTON_EVENT[Tpb,206]
	{
		PUSH:
	    {
		PULSE[vcrb,VCRSP_LP]
	    }
	}
	
	
	BUTTON_EVENT[Tpb,207]
	{

		PUSH:
	    {
	
		PULSE[VCR,VCRINPUT]
	    }
	}
	
	
	BUTTON_EVENT[Tpb,208]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRCHAN0]
	}
    }
    
    
    	BUTTON_EVENT[Tpb,209]
	{

		PUSH:
	    {
		PULSE[VCRb,VCRCHAN1]
	    
	}
    }


	BUTTON_EVENT[Tpb,210]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRCHAN2]
	}
    }

	BUTTON_EVENT[Tpb,211]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRCHAN3]
	}
    }

	BUTTON_EVENT[Tpb,212]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRCHAN4]
	}
    }
	
    
    	BUTTON_EVENT[Tpb,213]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRCHAN5]
	}
    }
    
    	BUTTON_EVENT[Tpb,214]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRCHAN6]
	}
    }
    
    
    	BUTTON_EVENT[Tpb,215]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRCHAN7]
	}
    }
    
    	BUTTON_EVENT[Tpb,216]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRCHAN8]
	}
    }
    
    
    	BUTTON_EVENT[Tpb,217]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRCHAN9]
	}
    }
    
    
    
    	BUTTON_EVENT[Tpb,218]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRPROGUP]
	}
    }
    
    
    
    	BUTTON_EVENT[Tpb,219]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRPROGDOWN]
	}
    }
    
    
    
    	BUTTON_EVENT[Tpb,220]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRREC]
	}
    }
    
    
    	BUTTON_EVENT[Tpb,221]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRmenu]
	}
    }
    
	BUTTON_EVENT[Tpb,222]
	{

		PUSH:
	    {
		PULSE[VCRb,VCRTIMER]
	}
    }


	BUTTON_EVENT[Tpb,223]
	{

		PUSH:
	    {
		PULSE[vcrb,vcrplay]
	}
    }

    	BUTTON_EVENT[Tpb,224]
	{

		PUSH:
	    {
		PULSE[vcrb,vcrstop]
	}
    }

    	BUTTON_EVENT[Tpb,225]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRPAUSE]
	}
    }



    	BUTTON_EVENT[Tpb,226]
	{

		PUSH:
	    {
		PULSE[vcrb,VCRfor]
	}
    }



    	BUTTON_EVENT[Tpb,227]
	{

		PUSH:
	    {
		PULSE[VCR,VCRrew]
	}
    }

// DVD Player Room 2


		BUTTON_EVENT[Tpb,228]
		{
    
			PUSH:
		    {
			PULSE[dvdb,dvdplay]
		    }
		}
    
    
		BUTTON_EVENT[Tpb,229]
		    {

			    PUSH:
			{
			    PULSE[dvdb,dvdstop]
			}
		    }


		BUTTON_EVENT[Tpb,230]
		    {

			    PUSH:
		    {
			    PULSE[dvdb,dvdpause]
		}
		    }


		BUTTON_EVENT[Tpb,231]
		{

			    PUSH:
		    {
			    PULSE[dvdb,dvdforward]
		    }
		}
		
		
		BUTTON_EVENT[Tpb,232]
	{

			    PUSH:
	    {
			    PULSE[dvdb,dvdback]
	}
    }

    
    
		BUTTON_EVENT[Tpb,233]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchapforw]
	}
    }
    
    
		BUTTON_EVENT[Tpb,233]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchapback]
	}
    }
    
 
		BUTTON_EVENT[Tpb,235]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdfastfow]
	}
    }   
        
    
    
    
		BUTTON_EVENT[Tpb,236]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdfastrew]
	}
    }
    
    
    		BUTTON_EVENT[Tpb,237]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdfastplay]
	}
    }
    
    
        		BUTTON_EVENT[Tpb,238]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdsur]
	}
    }
    
    
            		BUTTON_EVENT[Tpb,239]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdslowplay]
	}
    }
    
    
    
			    BUTTON_EVENT[Tpb,240]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdzoom]
	}
    }
    
    
			    BUTTON_EVENT[Tpb,241]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdreturn]
	}
    }
    
   


			    BUTTON_EVENT[Tpb,242]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvddisplay]
	}
    }
   
    

			    BUTTON_EVENT[Tpb,243]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdup]
	}
    }    
    
    
			    BUTTON_EVENT[Tpb,244]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvddown]
	}
    }        
    
    
    			    BUTTON_EVENT[Tpb,245]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdleft]
	}
    }    
    
    
    
			    BUTTON_EVENT[Tpb,246]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdright]
	}
    }    
    
    
    			    BUTTON_EVENT[Tpb,247]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdenter]
	}
    }    
    
    
    			    BUTTON_EVENT[Tpb,248]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdtopmenu]
	}
    }    
    
    
    
    			    BUTTON_EVENT[Tpb,249]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdmenu]
	}
    }        
    
    
    
    			    BUTTON_EVENT[Tpb,250]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdpictnav]
	}
    }            
    
    
    			    BUTTON_EVENT[Tpb,251]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdtime]
	}
    }                
    
				
			    BUTTON_EVENT[Tpb,252]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdclear]
	}
    }                
    
    
    				
			    BUTTON_EVENT[Tpb,253]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdvolup]
	}
    }                
    


			    BUTTON_EVENT[Tpb,254]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdvoldown]
	}
    }                
        
	
			    BUTTON_EVENT[Tpb,255]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchan0]
	}
    }                
    
    			    BUTTON_EVENT[Tpb,256]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchan1]
	}
    }                
    
    
    			    BUTTON_EVENT[Tpb,257]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchan2]
	}
    }                
    
    
    			    BUTTON_EVENT[Tpb,258]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchan3]
	}
    }                
    
    
    
    			    BUTTON_EVENT[Tpb,259]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchan4]
	}
    }       
    
    
			BUTTON_EVENT[Tpb,260]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchan5]
	}
    }   
    
    
    			BUTTON_EVENT[Tpb,261]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchan6]
	}
    }   
    
    
    			BUTTON_EVENT[Tpb,262]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchan7]
	}
    }   
    
    
    			BUTTON_EVENT[Tpb,263]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchan8]
	}
    }   
    
    
    			BUTTON_EVENT[Tpb,264]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdchan9]
	}
    }   
    
    
    			BUTTON_EVENT[Tpb,265]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdpower]
	}
    }   
  

    			BUTTON_EVENT[Tpb,266]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdeject]
	}
    }   
  
  
      			BUTTON_EVENT[Tpb,267]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdinput]
	}
    }   
    
    
             			BUTTON_EVENT[Tpb,268]
	    {

			    PUSH:
	    {
			    PULSE[dvdb,dvdsubs]
	}
    }  


// Room 2 Amp

// Martantz amp


	BUTTON_EVENT[Tpb,269]
	{
		PUSH:
	    {
			    PULSE[ampb,ampon]
	    }
	}

	BUTTON_EVENT[Tpb,270]
	{
		PUSH:
	    {
			    PULSE[ampb,ampoff]
	    }
	}

	BUTTON_EVENT[Tpb,271]
	{
		PUSH:
	    {
			    PULSE[ampb,ampmute]
	    }
	}
    
	BUTTON_EVENT[Tpb,272]
	{
		PUSH:
	    {
			    PULSE[ampb,ampvolup]
	    }
	}
        
	BUTTON_EVENT[Tpb,273]
	{
		PUSH:
	    {
			    PULSE[ampb,ampvoldown]
	    }
	}


		
    

// VCR COLLINS ROOM
	
	    
	BUTTON_EVENT[Tp,50]
	{
		PUSH:
	    {
			    PULSE[VCR,VCRPOW]
	    }
	}
	
	
	BUTTON_EVENT[TP,51]
	{
		PUSH:
	    {
		PULSE[VCR,VCRDISPLAY]
	}
	    }

	BUTTON_EVENT[TP,52]
	{
		PUSH:
	    {
		PULSE[VCR,VCRSP_LP]
	    }
	}
	
	
	BUTTON_EVENT[TP,53]
	{

		PUSH:
	    {
	
		PULSE[VCR,VCRINPUT]
	    }
	}
	
	
	BUTTON_EVENT[TP,54]
	{

		PUSH:
	    {
		PULSE[VCR,VCRCHAN0]
	}
    }
    
    
    	BUTTON_EVENT[TP,55]
	{

		PUSH:
	    {
		PULSE[VCR,VCRCHAN1]
	    
	}
    }


	BUTTON_EVENT[TP,56]
	{

		PUSH:
	    {
		PULSE[VCR,VCRCHAN2]
	}
    }

	BUTTON_EVENT[TP,57]
	{

		PUSH:
	    {
		PULSE[VCR,VCRCHAN3]
	}
    }

	BUTTON_EVENT[TP,58]
	{

		PUSH:
	    {
		PULSE[VCR,VCRCHAN4]
	}
    }
	
    
    	BUTTON_EVENT[TP,59]
	{

		PUSH:
	    {
		PULSE[VCR,VCRCHAN5]
	}
    }
    
    	BUTTON_EVENT[TP,60]
	{

		PUSH:
	    {
		PULSE[VCR,VCRCHAN6]
	}
    }
    
    
    	BUTTON_EVENT[TP,61]
	{

		PUSH:
	    {
		PULSE[VCR,VCRCHAN7]
	}
    }
    
    	BUTTON_EVENT[TP,62]
	{

		PUSH:
	    {
		PULSE[VCR,VCRCHAN8]
	}
    }
    
    
    	BUTTON_EVENT[TP,63]
	{

		PUSH:
	    {
		PULSE[VCR,VCRCHAN9]
	}
    }
    
    
    
    	BUTTON_EVENT[TP,64]
	{

		PUSH:
	    {
		PULSE[VCR,VCRPROGUP]
	}
    }
    
    
    
    	BUTTON_EVENT[TP,65]
	{

		PUSH:
	    {
		PULSE[VCR,VCRPROGDOWN]
	}
    }
    
    
    
    	BUTTON_EVENT[TP,66]
	{

		PUSH:
	    {
		PULSE[VCR,VCRREC]
	}
    }
    
    
    	BUTTON_EVENT[TP,67]
	{

		PUSH:
	    {
		PULSE[VCR,VCRmenu]
	}
    }
    
	BUTTON_EVENT[TP,68]
	{

		PUSH:
	    {
		PULSE[VCR,VCRTIMER]
	}
    }


	BUTTON_EVENT[TP,69]
	{

		PUSH:
	    {
		PULSE[VCR,vcrplay]
	}
    }

    	BUTTON_EVENT[TP,70]
	{

		PUSH:
	    {
		PULSE[VCR,vcrstop]
	}
    }

    	BUTTON_EVENT[TP,71]
	{

		PUSH:
	    {
		PULSE[VCR,VCRPAUSE]
	}
    }



    	BUTTON_EVENT[TP,72]
	{

		PUSH:
	    {
		PULSE[VCR,VCRfor]
	}
    }



    	BUTTON_EVENT[TP,73]
	{

		PUSH:
	    {
		PULSE[VCR,VCRrew]
	}
    }


// DVD COLLINS ROOM



		BUTTON_EVENT[TP,10]
		{
    
			PUSH:
		    {
			PULSE[dvd,dvdplay]
		    }
		}
    
    
		BUTTON_EVENT[TP,11]
		    {

			    PUSH:
			{
			    PULSE[dvd,dvdstop]
			}
		    }


		BUTTON_EVENT[TP,12]
		    {

			    PUSH:
		    {
			    PULSE[dvd,dvdpause]
		}
		    }


		BUTTON_EVENT[TP,13]
		{

			    PUSH:
		    {
			    PULSE[dvd,dvdforward]
		    }
		}
		
		
		BUTTON_EVENT[TP,14]
	{

			    PUSH:
	    {
			    PULSE[DVD,dvdback]
	}
    }

    
    
		BUTTON_EVENT[TP,15]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchapforw]
	}
    }
    
    
		BUTTON_EVENT[TP,16]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchapback]
	}
    }
    
 
		BUTTON_EVENT[TP,17]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdfastfow]
	}
    }   
        
    
    
    
		BUTTON_EVENT[TP,18]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdfastrew]
	}
    }
    
    
    		BUTTON_EVENT[TP,19]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdfastplay]
	}
    }
    
    
        		BUTTON_EVENT[TP,20]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdsur]
	}
    }
    
    
            		BUTTON_EVENT[TP,21]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdslowplay]
	}
    }
    
    
    
			    BUTTON_EVENT[TP,22]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdzoom]
	}
    }
    
    
			    BUTTON_EVENT[TP,23]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdreturn]
	}
    }
    
   


			    BUTTON_EVENT[TP,24]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvddisplay]
	}
    }
   
    

			    BUTTON_EVENT[TP,25]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdup]
	}
    }    
    
    
			    BUTTON_EVENT[TP,26]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvddown]
	}
    }        
    
    
    			    BUTTON_EVENT[TP,27]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdleft]
	}
    }    
    
    
    
			    BUTTON_EVENT[TP,28]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdright]
	}
    }    
    
    
    			    BUTTON_EVENT[TP,29]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdenter]
	}
    }    
    
    
    			    BUTTON_EVENT[TP,30]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdtopmenu]
	}
    }    
    
    
    
    			    BUTTON_EVENT[TP,31]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdmenu]
	}
    }        
    
    
    
    			    BUTTON_EVENT[TP,32]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdpictnav]
	}
    }            
    
    
    			    BUTTON_EVENT[TP,33]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdtime]
	}
    }                
    
				
			    BUTTON_EVENT[TP,34]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdclear]
	}
    }                
    
    
    				
			    BUTTON_EVENT[TP,35]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdvolup]
	}
    }                
    


			    BUTTON_EVENT[TP,36]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdvoldown]
	}
    }                
        
	
			    BUTTON_EVENT[TP,37]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchan0]
	}
    }                
    
    			    BUTTON_EVENT[TP,38]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchan1]
	}
    }                
    
    
    			    BUTTON_EVENT[TP,39]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchan2]
	}
    }                
    
    
    			    BUTTON_EVENT[TP,40]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchan3]
	}
    }                
    
    
    
    			    BUTTON_EVENT[TP,41]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchan4]
	}
    }       
    
    
			BUTTON_EVENT[TP,42]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchan5]
	}
    }   
    
    
    			BUTTON_EVENT[TP,43]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchan6]
	}
    }   
    
    
    			BUTTON_EVENT[TP,44]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchan7]
	}
    }   
    
    
    			BUTTON_EVENT[TP,45]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchan8]
	}
    }   
    
    
    			BUTTON_EVENT[TP,46]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdchan9]
	}
    }   
    
    
    			BUTTON_EVENT[TP,47]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdpower]
	}
    }   
  

    			BUTTON_EVENT[TP,48]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdeject]
	}
    }   
  
  
      			BUTTON_EVENT[TP,49]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdinput]
	}
    }   
    
    
             			BUTTON_EVENT[TP,75]
	    {

			    PUSH:
	    {
			    PULSE[dvd,dvdsubs]
	}
    }  
    
    DATA_EVENT[projector]
{
  ONLINE:
  {
  send_command projector,"'SET BAUD 19200,N,8,1 485 DISABLE'"
  }
  STRING:
{
  	}
}



/////////////////////////////////////////////////////// 


     DATA_EVENT[switcher]
{
  ONLINE:
  {
  send_command switcher,"'SET BAUD 9600,N,8,1 485 DISABLE'"
  }
  STRING:
{
  	   
	}
}



/////////////////////////////////////////////////////// 



/////////////////////////////////////////////////////// 


     DATA_EVENT[lights]
{
  ONLINE:
  {
  send_command lights,"'SET BAUD 9600,N,8,1 485 DISABLE'"
  }
  STRING:
{
  	   
	}
}



/////////////////////////////////////////////////////// 





// Martantz amp


	BUTTON_EVENT[TP,95]
	{
		PUSH:
	    {
			    PULSE[amp,ampon]
	    }
	}

	BUTTON_EVENT[TP,96]
	{
		PUSH:
	    {
			    PULSE[amp,ampoff]
	    }
	}

	BUTTON_EVENT[TP,97]
	{
		PUSH:
	    {
			    PULSE[amp,ampmute]
	    }
	}
    
	BUTTON_EVENT[TP,98]
	{
		PUSH:
	    {
			    PULSE[amp,ampvolup]
	    }
	}
        
	BUTTON_EVENT[TP,99]
	{
		PUSH:
	    {
			    PULSE[amp,ampvoldown]
	    }
	}
    
DEFINE_PROGRAM


// Room 1 Relays
		[tp,2] = ([relay,screen_hoist_up])  
		[tp,1] = ([relay,screen_hoist_down]) 
    		
		[tp,3] = ([relay,blinds_up])  
		[tp,4] = ([relay,blinds_Down])
		
		[tp,5] = ([relay,curtain_open])  
		[tp,6] = ([relay,curtain_close])
		[tp,9] = ([relay,Rblinds_Down])

// Room 2 Relays		
		[tp,7] = ([relay,Rblinds_up])  
		[tp,8] = ([relay,Rblinds_Down])
		


// VCR FEEDBACK	COLLINS ROOM	

		[TP,50] = [VCR,VCRPOW]
		[TP,51] = [VCR,VCRDISPLAY]
		[TP,52] = [VCR,VCRSP_LP]
		[TP,53] = [VCR,VCRINPUT]
		[TP,54] = [VCR,VCRCHAN0]
		[TP,55] = [VCR,VCRCHAN1]
		[TP,56] = [VCR,VCRCHAN2]
		[TP,57] = [VCR,VCRCHAN3]
		[TP,58] = [VCR,VCRCHAN4]
		[TP,59] = [VCR,VCRCHAN5]
		[TP,60] = [VCR,VCRCHAN6]
		[TP,61] = [VCR,VCRCHAN7]
		[TP,62] = [VCR,VCRCHAN8]
		[TP,63] = [VCR,VCRCHAN9]
		[TP,64] = [VCR,VCRPROGUP]
		[TP,65] = [VCR,VCRPROGDOWN]
		[TP,66] = [VCR,VCRREC]
		[TP,67] = [VCR,VCRMENU]
		[TP,68] = [VCR,VCRTIMER]
		[TP,69] = [VCR,VCRPLAY]
		[TP,70] = [VCR,VCRSTOP]
		[TP,71] = [VCR,VCRPAUSE]
		[TP,72] = [VCR,VCRFOR]
		[TP,73] = [VCR,VCRREW]
		
// DVD FEEDBACK COLLINS ROOM


		[TP,11] = [dvd,dvdplay]
		[TP,11] = [dvd,dvdstop]
		[TP,12] = [dvd,dvdpause]
		[TP,13] = [dvd,dvdforward]
		[TP,14] = [dvd,dvdback]
		[TP,15] = [dvd,dvdchapforw]
		[TP,16] = [dvd,dvdchapback]
		[TP,17] = [dvd,dvdfastfow]
		[TP,18] = [dvd,dvdfastrew]
		[TP,19] = [dvd,dvdfastplay]
		[TP,20] = [dvd,dvdsur]
		[TP,21] = [dvd,dvdslowplay]
		[TP,22] = [dvd,dvdzoom]
		[TP,23] = [dvd,dvdreturn]
		[TP,24] = [dvd,dvddisplay]
		[TP,25] = [dvd,dvdup]
		[TP,26] = [dvd,dvddown]
		[TP,27] = [dvd,dvdleft]
		[TP,28] = [dvd,dvdright]
		[TP,29] = [dvd,dvdenter]
		[TP,30] = [dvd,VCRMENU]
		[TP,31] = [dvd,dvdstop]
		[TP,32] = [dvd,dvdpictnav]
		[TP,33] = [dvd,dvdtime]
		[TP,34] = [dvd,dvdclear]
		[TP,35] = [dvd,dvdvolup]
		[TP,36] = [dvd,dvdvoldown]
		[TP,37] = [dvd,dvdchan0]
		[TP,38] = [dvd,dvdchan1]
		[TP,39] = [dvd,dvdchan2]
		[TP,40] = [dvd,dvdchan3]
		[TP,41] = [dvd,dvdchan4]
		[TP,42] = [dvd,dvdchan5]
		[TP,43] = [dvd,dvdchan6]
		[TP,44] = [dvd,dvdchan7]
		[TP,45] = [dvd,dvdchan8]
		[TP,46] = [dvd,dvdchan9]
		[TP,47] = [dvd,dvdpower]
		[TP,48] = [dvd,dvdeject]
		[TP,49] = [dvd,dvdinput]
		[TP,74] = [dvd,dvdsubs]
		
// Projector FEEDBACK

	
		//[TP,100] = (projector_Power = projector_on)
		//[TP,101] = (projector_Power = projector_off)
		//[TP,102] = (projector_input = projector_comp1)
		//[TP,103] = (projector_input = projector_comp2)
		//[TP,104] = (projector_input = projector_video)
		//[TP,105] = (projector_input = projector_svideo)


// Amp FEEDBACK


		[TP,95] = [amp,ampon]
		[TP,96] = [amp,ampoff]
		[TP,97] = [amp,ampmute]
		[TP,98] = [amp,ampvolup]
		[TP,99] = [amp,ampvoldown]
		
		[TP,100] = [lights,lightsroom1]
		
		
// Room 2  FEEDBACK

		[Tpb,200] = [PLASMA,PLASMASTAN]
		[Tpb,201] = [PLASMA,PLASMASIZE]		
	
	        [Tpb,202] = [curt,curt_open]
		[Tpb,203] = [curt,curt_close]		
	
	
	
		[Tpb,204] = [vcrb,VCRPOW]
		[Tpb,205] = [vcrb,VCRDISPLAY]
		[Tpb,206] = [vcrb,VCRSP_LP]
		[Tpb,207] = [vcrb,VCRINPUT]
		[Tpb,208] = [vcrb,VCRCHAN0]
		[Tpb,209] = [vcrb,VCRCHAN1]
		[Tpb,210] = [vcrb,VCRCHAN2]
		[Tpb,211] = [vcrb,VCRCHAN3]
		[Tpb,212] = [vcrb,VCRCHAN4]
		[Tpb,213] = [vcrb,VCRCHAN5]
		[Tpb,214] = [vcrb,VCRCHAN6]
		[Tpb,215] = [vcrb,VCRCHAN7]
		[Tpb,216] = [vcrb,VCRCHAN8]
		[Tpb,217] = [vcrb,VCRCHAN9]
		[Tpb,218] = [vcrb,VCRPROGUP]
		[Tpb,219] = [vcrb,VCRPROGDOWN]
		[Tpb,220] = [vcrb,VCRREC]
		[Tpb,221] = [vcrb,VCRMENU]
		[Tpb,222] = [vcrb,VCRTIMER]
		[Tpb,223] = [vcrb,VCRPLAY]
		[Tpb,224] = [vcrb,VCRSTOP]
		[Tpb,225] = [vcrb,VCRPAUSE]
		[Tpb,226] = [vcrb,VCRFOR]
		[Tpb,227] = [vcrb,VCRREW]


		[Tpb,228] = [dvdb,dvdplay]
		[Tpb,229] = [dvdb,dvdstop]
		[Tpb,230] = [dvdb,dvdpause]
		[Tpb,231] = [dvdb,dvdforward]
		[Tpb,232] = [dvdb,dvdback]
		[Tpb,233] = [dvdb,dvdchapforw]
		[Tpb,234] = [dvdb,dvdchapback]
		[Tpb,235] = [dvdb,dvdfastfow]
		[Tpb,236] = [dvdb,dvdfastrew]
		[Tpb,237] = [dvdb,dvdfastplay]
		[Tpb,238] = [dvdb,dvdsur]
		[Tpb,239] = [dvdb,dvdslowplay]
		[Tpb,240] = [dvdb,dvdzoom]
		[Tpb,241] = [dvdb,dvdreturn]
		[Tpb,242] = [dvdb,dvddisplay]
		[Tpb,243] = [dvdb,dvdup]
		[Tpb,244] = [dvdb,dvddown]
		[Tpb,245] = [dvdb,dvdleft]
		[Tpb,246] = [dvdb,dvdright]
		[Tpb,247] = [dvdb,dvdenter]
		[Tpb,248] = [dvdb,VCRMENU]
		[Tpb,249] = [dvdb,dvdstop]
		[Tpb,250] = [dvdb,dvdpictnav]
		[Tpb,251] = [dvdb,dvdtime]
		[Tpb,252] = [dvdb,dvdclear]
		[Tpb,253] = [dvdb,dvdvolup]
		[Tpb,254] = [dvdb,dvdvoldown]
		[Tpb,255] = [dvdb,dvdchan0]
		[Tpb,256] = [dvdb,dvdchan1]
		[Tpb,257] = [dvdb,dvdchan2]
		[Tpb,258] = [dvdb,dvdchan3]
		[Tpb,259] = [dvdb,dvdchan4]
		[Tpb,260] = [dvdb,dvdchan5]
		[Tpb,261] = [dvdb,dvdchan6]
		[Tpb,262] = [dvdb,dvdchan7]
		[Tpb,263] = [dvdb,dvdchan8]
		[Tpb,264] = [dvdb,dvdchan9]
		[Tpb,265] = [dvdb,dvdpower]
		[Tpb,266] = [dvdb,dvdeject]
		[Tpb,267] = [dvdb,dvdinput]
		[Tpb,268] = [dvdb,dvdsubs]

		[Tpb,269] = [amp,ampon]
		[Tpb,270] = [amp,ampoff]
		[Tpb,271] = [amp,ampmute]
		[Tpb,272] = [amp,ampvolup]
		[Tpb,273] = [amp,ampvoldown]
		
(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)
